upstream http_backend {
	server backend1.hosting.internal;
	
	ntlm;
}

server {
	listen 80;
	server_name proxy.hosting.external;
	server_tokens off;
	
	location @ntlm_app {
		proxy_pass http://http_backend;

		proxy_pass_request_headers	on;
		proxy_http_version	1.1;
		proxy_redirect	default;

		proxy_set_header	Accept-Encoding "";
		proxy_set_header	Host $host;
		proxy_set_header	X-Real-IP $remote_addr;
		proxy_set_header	X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header	X-Forwarded-Proto $scheme;
		proxy_set_header	Front-End-Https on;

	}

	location / {
		try_files $uri @ntlm_app;
	}
}